## com.google.appengine.api.conversion
Class ConversionServiceFactory

    java.lang.Object
      com.google.appengine.api.conversion.ConversionServiceFactory

    public final class ConversionServiceFactory

extends java.lang.Object

Static factory methods to create new instance of `ConversionService`.

Method Summary
`static ConversionService` `getConversionService()` Returns a default `ConversionService` instance.
`static ConversionService` `getConversionService(double deadlineSecs)` Returns a `ConversionService` instance with deadline setting.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConversionService

    public static ConversionService getConversionService()

  Returns a default `ConversionService` instance.

### getConversionService

    public static ConversionService getConversionService(double deadlineSecs)

  Returns a `ConversionService` instance with deadline setting.

  Parameters:
    `deadlineSecs` - the maximum duration, in seconds, that the conversion request can run